Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 1906593002: [Extensions] Finish freezing schema (Closed)

Created:
3 years, 1 month ago by Devlin
Modified:
3 years ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Extensions] Finish freezing schema BUG=604901 BUG=603725 BUG=591164 Committed: https://crrev.com/5fb2548448bd1b76a59d941b729d7a7f90d53bc8 Cr-Commit-Position: refs/heads/master@{#388945}

Patch Set 1 : #

Total comments: 1

Patch Set 2 : #

Total comments: 2

Patch Set 3 : null proto #

Patch Set 4 : SafeBuiltins #

Patch Set 5 : Moar safe builtins #

Patch Set 6 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+76 lines, -24 lines) Patch
M chrome/renderer/resources/extensions/chrome_setting.js View 1 2 3 4 5 2 chunks +18 lines, -6 lines 0 comments Download
M chrome/renderer/resources/extensions/content_setting.js View 1 2 3 2 chunks +17 lines, -6 lines 0 comments Download
M chrome/test/data/extensions/api_test/stubs_app/background.js View 1 2 3 4 5 1 chunk +2 lines, -1 line 0 comments Download
M extensions/renderer/resources/binding.js View 1 chunk +11 lines, -1 line 0 comments Download
M extensions/renderer/resources/event.js View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M extensions/renderer/resources/json_schema.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M extensions/renderer/resources/schema_utils.js View 1 2 3 4 5 2 chunks +2 lines, -2 lines 0 comments Download
M extensions/renderer/resources/storage_area.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M extensions/renderer/resources/utils.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M extensions/renderer/safe_builtins.cc View 1 2 3 1 chunk +4 lines, -2 lines 0 comments Download
M extensions/renderer/v8_schema_registry.cc View 1 2 2 chunks +17 lines, -1 line 0 comments Download

Messages

Total messages: 13 (5 generated)
Devlin
https://codereview.chromium.org/1906593002/diff/20001/chrome/renderer/resources/extensions/chrome_setting.js File chrome/renderer/resources/extensions/chrome_setting.js (right): https://codereview.chromium.org/1906593002/diff/20001/chrome/renderer/resources/extensions/chrome_setting.js#newcode28 chrome/renderer/resources/extensions/chrome_setting.js:28: var rawSetSchema = this.functionSchemas.set.definition.parameters; Yucky stuff. Mostly because all ...
3 years ago (2016-04-20 23:24:43 UTC) #3
robwu
https://codereview.chromium.org/1906593002/diff/40001/extensions/renderer/v8_schema_registry.cc File extensions/renderer/v8_schema_registry.cc (right): https://codereview.chromium.org/1906593002/diff/40001/extensions/renderer/v8_schema_registry.cc#newcode26 extensions/renderer/v8_schema_registry.cc:26: const v8::Local<v8::Context>& context) { As explained at https://crbug.com/604901#c8, add ...
3 years ago (2016-04-21 14:07:50 UTC) #5
Devlin
https://codereview.chromium.org/1906593002/diff/40001/extensions/renderer/v8_schema_registry.cc File extensions/renderer/v8_schema_registry.cc (right): https://codereview.chromium.org/1906593002/diff/40001/extensions/renderer/v8_schema_registry.cc#newcode26 extensions/renderer/v8_schema_registry.cc:26: const v8::Local<v8::Context>& context) { On 2016/04/21 14:07:50, robwu wrote: ...
3 years ago (2016-04-21 22:07:36 UTC) #6
asargent_no_longer_on_chrome
lgtm
3 years ago (2016-04-21 22:09:23 UTC) #7
Devlin
Rob - I'm gonna submit this now; feel free to drop comments here or on ...
3 years ago (2016-04-21 22:10:15 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1906593002/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1906593002/120001
3 years ago (2016-04-21 22:11:03 UTC) #10
commit-bot: I haz the power
Committed patchset #6 (id:120001)
3 years ago (2016-04-21 23:19:34 UTC) #11
commit-bot: I haz the power
3 years ago (2016-04-22 19:41:21 UTC) #13
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/5fb2548448bd1b76a59d941b729d7a7f90d53bc8
Cr-Commit-Position: refs/heads/master@{#388945}

Powered by Google App Engine
This is Rietveld 408576698